<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:23 CEST 2019 -->
<title>ServiceParameterBufferImp.SpbMetaData (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ServiceParameterBufferImp.SpbMetaData (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" target="_top">Frames</a></li>
<li><a href="ServiceParameterBufferImp.SpbMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.impl</div>
<h2 title="Enum ServiceParameterBufferImp.SpbMetaData" class="title">Enum ServiceParameterBufferImp.SpbMetaData</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">java.lang.Enum</a>&lt;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a>&gt;</li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.impl.ServiceParameterBufferImp.SpbMetaData</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a>&gt;, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl">ServiceParameterBufferImp</a></dd>
</dl>
<hr>
<br>
<pre>public static enum <span class="typeNameLabel">ServiceParameterBufferImp.SpbMetaData</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a>&lt;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a>&gt;
implements <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== ENUM CONSTANT SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.summary">
<!--   -->
</a>
<h3>Enum Constant Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Constant Summary table, listing enum constants, and an explanation">
<caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Enum Constant and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html#SPB_VERSION_2">SPB_VERSION_2</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html#SPB_VERSION_2_ATTACH">SPB_VERSION_2_ATTACH</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html#SPB_VERSION_3_ATTACH">SPB_VERSION_3_ATTACH</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html#addPreamble-org.firebirdsql.gds.ParameterBuffer-">addPreamble</a></span>(<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>&nbsp;parameterBuffer)</code>
<div class="block">Allows the metadata to add a preamble to the parameter buffer.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html#getType--">getType</a></span>()</code>
<div class="block">Parameter buffer type (this usually is the version of the parameter buffer).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true" title="class or interface in java.lang">Enum</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#compareTo-E-" title="class or interface in java.lang">compareTo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#getDeclaringClass--" title="class or interface in java.lang">getDeclaringClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#name--" title="class or interface in java.lang">name</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#ordinal--" title="class or interface in java.lang">ordinal</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Enum.html?is-external=true#valueOf-java.lang.Class-java.lang.String-" title="class or interface in java.lang">valueOf</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.impl.ParameterBufferMetaData">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.impl.<a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a></h3>
<code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getByteArrayArgumentType-int-">getByteArrayArgumentType</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getIntegerArgumentType-int-">getIntegerArgumentType</a>, <a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getStringArgumentType-int-">getStringArgumentType</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ ENUM CONSTANT DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="enum.constant.detail">
<!--   -->
</a>
<h3>Enum Constant Detail</h3>
<a name="SPB_VERSION_2_ATTACH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPB_VERSION_2_ATTACH</h4>
<pre>public static final&nbsp;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a> SPB_VERSION_2_ATTACH</pre>
</li>
</ul>
<a name="SPB_VERSION_2">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SPB_VERSION_2</h4>
<pre>public static final&nbsp;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a> SPB_VERSION_2</pre>
</li>
</ul>
<a name="SPB_VERSION_3_ATTACH">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SPB_VERSION_3_ATTACH</h4>
<pre>public static final&nbsp;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a> SPB_VERSION_3_ATTACH</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="values--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>values</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a>[]&nbsp;values()</pre>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.  This method may be used to iterate
over the constants as follows:
<pre>
for (ServiceParameterBufferImp.SpbMetaData c : ServiceParameterBufferImp.SpbMetaData.values())
&nbsp;   System.out.println(c);
</pre></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an array containing the constants of this enum type, in the order they are declared</dd>
</dl>
</li>
</ul>
<a name="valueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>valueOf</h4>
<pre>public static&nbsp;<a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" title="enum in org.firebirdsql.gds.impl">ServiceParameterBufferImp.SpbMetaData</a>&nbsp;valueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Returns the enum constant of this type with the specified name.
The string must match <i>exactly</i> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the enum constant to be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the enum constant with the specified name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if this enum type has no constant with the specified name</dd>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/NullPointerException.html?is-external=true" title="class or interface in java.lang">NullPointerException</a></code> - if the argument is null</dd>
</dl>
</li>
</ul>
<a name="getType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre>public final&nbsp;int&nbsp;getType()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getType--">ParameterBufferMetaData</a></code></span></div>
<div class="block">Parameter buffer type (this usually is the version of the parameter buffer).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#getType--">getType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Buffer type (for example <a href="../../../../org/firebirdsql/gds/ISCConstants.html#isc_spb_version3"><code>ISCConstants.isc_spb_version3</code></a>).</dd>
</dl>
</li>
</ul>
<a name="addPreamble-org.firebirdsql.gds.ParameterBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addPreamble</h4>
<pre>public&nbsp;void&nbsp;addPreamble(<a href="../../../../org/firebirdsql/gds/ParameterBuffer.html" title="interface in org.firebirdsql.gds">ParameterBuffer</a>&nbsp;parameterBuffer)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#addPreamble-org.firebirdsql.gds.ParameterBuffer-">ParameterBufferMetaData</a></code></span></div>
<div class="block">Allows the metadata to add a preamble to the parameter buffer.
 <p>
 This is only intended for the weird "version 2" connection service parameter buffer that requires two tags for
 the version with <code>isc_spb_version, isc_spb_current_version</code>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html#addPreamble-org.firebirdsql.gds.ParameterBuffer-">addPreamble</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/firebirdsql/gds/impl/ParameterBufferMetaData.html" title="interface in org.firebirdsql.gds.impl">ParameterBufferMetaData</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>parameterBuffer</code> - Parameter buffer.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceParameterBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/gds/impl/ServiceRequestBufferImp.html" title="class in org.firebirdsql.gds.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/gds/impl/ServiceParameterBufferImp.SpbMetaData.html" target="_top">Frames</a></li>
<li><a href="ServiceParameterBufferImp.SpbMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
